SEEDANCE 2.5 IS NOW LIVE!

GENERATE YOUR VIDEOS WITH UNLIMITED SEEDANCE 2.5 TODAY.

NO EXTRA SUBSCRIPTION
REVIRAL
Get API key
Browse API docs

Endpoints

characters

Was this page helpful?

List and create reusable characters owned by the authenticated account.

GET

/api/v1/characters

List saved characters

Authentication: Bearer API key required

curl "https://reviral.ai/api/v1/characters" \
  -H "Authorization: Bearer $REVIRAL_API_KEY"

Responses

200
Owned active characters
401
Key is missing, revoked, or invalid
500
Character list unavailable
POST

/api/v1/characters

Create a character

Authentication: Bearer API key required

curl -X POST "https://reviral.ai/api/v1/characters" \
  -H "Authorization: Bearer $REVIRAL_API_KEY" \
  -H "Content-Type: application/json" \
  --data '{"name":"Studio host","description":"A consistent on-camera presenter for product explainers.","imageUrl":"https://reviral.ai/character-reference.jpg","source":"avatar"}'

Request body

FieldTypeRequiredDescription
namestringYes
descriptionstringNo
imageUrlstringNo
sourcestring: avatar | loraNo
voiceIdstringNo

Responses

200
Character created
400
Invalid body
401
Key is missing, revoked, or invalid
500
Character save unavailable
501
Requested character source is not implemented